Subject: Re: setting up coolview (was: make problems (b18 and mingw32))
From: [email-masked] (John A. Turner)

25 Feb 1998 07:26:51 -0800
Message-ID: <13555.31194.230000.486553.cygnus.gnu-win32@STRAT>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Earnie Boyd writes:

 > a copy of the cygwin.dll is in this ../i386-cygwin32/lib directory.  
 > Just delete it, it is not needed.

Gone, thanks.

 > cp bash.exe ../b18/H-i386-cygwin32/bin/sh.exe

Oops.  Bet that coulda bit me bad...

 > >o What exactly should be mounted text=binary?  mount currently shows:
 > >
 > >BASH.EXE-2.01$ mount
 > >Device           Directory           Type        Flags
 > >\\.\tape1:       /dev/st1            native      no-mixed,text!=binary
 > >\\.\tape0:       /dev/st0            native      no-mixed,text!=binary
 > >\\.\b:           /dev/fd1            native      no-mixed,text!=binary
 > >\\.\a:           /dev/fd0            native      no-mixed,text!=binary
 > >c:               /                   native      no-mixed,text!=binary
 > >
 > >o Where's my d: partition in that output from mount?

The fact that d: doesn't show up isn't a problem?

 > >BASH.EXE-2.01$ umount /bin
 > >umount: Invalid argument
 > 
 > You have no /bin mounted.  ?What is in your c:\bin?  I believe the 
 > original poster (don't really remember) had a /bin directory mounted.  I 
 > "mount -b c:\\gunwin32\\b18\\H-i386-cygwin32\\bin /bin" then the scripts 
 > can find /bin/sh when it needs it.  Note, commands tend to get confused 
 > in you have a c:\bin and a mount point of /bin so don't have both.

OK, that was the problem.  All that was in c:\bin was a copy of sh.exe
anyway, so I nuked it and mounted as you said.

 > I suggest that you also:
 > 
 > mount -b a:\\ /a
 > mount -b c:\\ /c

OK.

 > The mounts are stored in the registry.  You will not have to do anything 
 > else.  There is nothing to do at boot time.

OK.

 > >o OK, let's assume I've been able to do all those mounts correctly.
 > >  Now I need to do \r\n -> \n conversion on some files.  What, exactly?
 > >  .bashrc, plus any bash scripts, I guess.  I think I've also seen
 > >  mention of C/C++ source as well.  Correct?
 > 
 > Correct.

OK, things seem to be going well.  The b18 make now seems to export
variables to submakes correctly, etc.

I do seem to have come up against a bit of a problem, though.  I use
bash as my shell in NTEmacs, and it seems to be completely hosed:

sh.exe-2.01$ ls
sh.exe: ls: command not found
sh.exe-2.01$ pwd
sh.exe: pwd: command not found
sh.exe-2.01$ echo $PATH
//D/LOCAL/CVS:/c/PROGRAM FILES/TCL/BIN://D/LOCAL/BIN:/c/BIN:/c/PERL/BIN://D/LOCAL/EMACS-19.34/BIN:/c/GNUWIN32/B18/H-I386-CYGWIN32/BIN://D/LOCAL/TEXMF/MIKTEX/BIN:/c/ABSOFT/BIN:/c/PROGRAM FILES/DEVSTUDIO/VC/BIN:/c/WINDOWS:/c/WINDOWS/COMMAND

Thanks again for your help...

-John

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".